POST api/NTOrderImaging/UpdateAppointmentStatus
Request Information
URI Parameters
None.
Body Parameters
OrderAppointmentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| OrderId | integer |
None. |
|
| OrderCategoryId | integer |
None. |
|
| ScheduleDate | date |
None. |
|
| ScheduleStartTime | time interval |
None. |
|
| ScheduleEndTime | time interval |
None. |
|
| Status | integer |
None. |
|
| AppointmentTimeZone | integer |
None. |
|
| OnSiteLocationId | integer |
None. |
|
| CaseNo | integer |
None. |
|
| FacilityCode | string |
String length: inclusive between 0 and 20 |
|
| StatusType | string |
String length: inclusive between 0 and 10 |
|
| City | string |
String length: inclusive between 0 and 30 |
|
| State | string |
String length: inclusive between 0 and 2 |
|
| ZipCode | string |
String length: inclusive between 0 and 10 |
|
| Phone | string |
String length: inclusive between 0 and 20 |
|
| Fax | string |
String length: inclusive between 0 and 20 |
|
| Suite | string |
String length: inclusive between 0 and 10 |
|
| Country | string |
String length: inclusive between 0 and 15 |
|
| CoordinatorName | string |
String length: inclusive between 0 and 60 |
|
| AppointmentTimeZoneAbbrevation | string |
String length: inclusive between 0 and 10 |
|
| HospitalName | string |
String length: inclusive between 0 and 100 |
|
| HospitalAddress | string |
String length: inclusive between 0 and 300 |
|
| LocationSelection | integer |
None. |
|
| IsScheduled | boolean |
None. |
|
| TelemedicineId | integer |
None. |
|
| UserId | integer |
None. |
|
| IsScheduledThirdParty | boolean |
None. |
|
| FacilityName | string |
String length: inclusive between 0 and 8000 |
|
| FacilityProvider | string |
String length: inclusive between 0 and 8000 |
|
| FacilityAddress | string |
String length: inclusive between 0 and 8000 |
|
| FacilitySuite | string |
String length: inclusive between 0 and 8000 |
|
| FacilityZip | string |
String length: inclusive between 0 and 8000 |
|
| FacilityCountry | string |
String length: inclusive between 0 and 8000 |
|
| FacilityCity | string |
String length: inclusive between 0 and 8000 |
|
| FacilityState | string |
String length: inclusive between 0 and 8000 |
|
| FacilityPhoneNumber | string |
String length: inclusive between 0 and 8000 |
|
| FacilityFaxNumber | string |
String length: inclusive between 0 and 8000 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
{
"Id": 1,
"OrderId": 2,
"OrderCategoryId": 3,
"ScheduleDate": "2026-08-04T14:25:46.829658-07:00",
"ScheduleStartTime": "00:00:00.1234567",
"ScheduleEndTime": "00:00:00.1234567",
"Status": 4,
"AppointmentTimeZone": 1,
"OnSiteLocationId": 1,
"CaseNo": 5,
"FacilityCode": "sample string 6",
"StatusType": "sample string 7",
"City": "sample string 8",
"State": "sample string 9",
"ZipCode": "sample string 10",
"Phone": "sample string 11",
"Fax": "sample string 12",
"Suite": "sample string 13",
"Country": "sample string 14",
"CoordinatorName": "sample string 15",
"AppointmentTimeZoneAbbrevation": "sample string 16",
"HospitalName": "sample string 17",
"HospitalAddress": "sample string 18",
"LocationSelection": 1,
"IsScheduled": true,
"TelemedicineId": 1,
"UserId": 1,
"IsScheduledThirdParty": true,
"FacilityName": "sample string 20",
"FacilityProvider": "sample string 21",
"FacilityAddress": "sample string 22",
"FacilitySuite": "sample string 23",
"FacilityZip": "sample string 24",
"FacilityCountry": "sample string 25",
"FacilityCity": "sample string 26",
"FacilityState": "sample string 27",
"FacilityPhoneNumber": "sample string 28",
"FacilityFaxNumber": "sample string 29",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:46.829658-07:00",
"DateUpdated": "2026-08-04T14:25:46.829658-07:00",
"UserIDCreated": 33,
"UserIDUpdated": 34,
"CompanyCode": "sample string 35",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfOrderAppointmentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | OrderAppointmentDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"OrderId": 2,
"OrderCategoryId": 3,
"ScheduleDate": "2026-08-04T14:25:46.829658-07:00",
"ScheduleStartTime": "00:00:00.1234567",
"ScheduleEndTime": "00:00:00.1234567",
"Status": 4,
"AppointmentTimeZone": 1,
"OnSiteLocationId": 1,
"CaseNo": 5,
"FacilityCode": "sample string 6",
"StatusType": "sample string 7",
"City": "sample string 8",
"State": "sample string 9",
"ZipCode": "sample string 10",
"Phone": "sample string 11",
"Fax": "sample string 12",
"Suite": "sample string 13",
"Country": "sample string 14",
"CoordinatorName": "sample string 15",
"AppointmentTimeZoneAbbrevation": "sample string 16",
"HospitalName": "sample string 17",
"HospitalAddress": "sample string 18",
"LocationSelection": 1,
"IsScheduled": true,
"TelemedicineId": 1,
"UserId": 1,
"IsScheduledThirdParty": true,
"FacilityName": "sample string 20",
"FacilityProvider": "sample string 21",
"FacilityAddress": "sample string 22",
"FacilitySuite": "sample string 23",
"FacilityZip": "sample string 24",
"FacilityCountry": "sample string 25",
"FacilityCity": "sample string 26",
"FacilityState": "sample string 27",
"FacilityPhoneNumber": "sample string 28",
"FacilityFaxNumber": "sample string 29",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:46.829658-07:00",
"DateUpdated": "2026-08-04T14:25:46.829658-07:00",
"UserIDCreated": 33,
"UserIDUpdated": 34,
"CompanyCode": "sample string 35",
"IsExcludeDiscount": true
},
"totalCount": 3
}